Subject: Re: [GSoC PATCH 3/3] doc: gitprotocol-pack: normalize inline code formatting

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Mar 2026 17:48:23 -0800

Lorenzo Pegorari <[email-masked]> writes:

>> > -Initiating the upload-pack or receive-pack processes over SSH is
>> > +Initiating the 'upload-pack' or 'receive-pack' processes over SSH is
>> 
>> These are not `backquoted` for <tt>teletype text</tt> typesetting,
>> like the other hunks in this patch do?
>> 
>> All other things in these three patches I found them reasonable,
>> except for this hunk.
>> 
>> Thanks.
>
> Thank you so much for catching all my mistakes Junio.
>
> I misread the existing formatting: I mistook the apostrophes for
> backticks, and so I incorrectly assumed that the document used inline
> code for command and process names. In reality, the rest of the document
> uses italics for these elements.
>
> I'm sending a v2 where I correctly uniform command and process names to
> use the italic style ASAP.

Sorry but I am confused.  

I am not sure we want <em>emphasis</em> for most of these things;
when we spell names of commands that users would type literally, in
which case we would do the <tt>monospaced</tt>, no?

I may be way off, though.  I'd appreciate our Doc experts to inject
a bit of sanity.

Thanks.